function showCalculator(category) {
  const calculatorSection = document.getElementById('calculator-section');
  const calculatorContent = document.getElementById('calculator-content');

  calculatorSection.classList.remove('hidden');

  switch (category) {
    case 'hematology':
      calculatorContent.innerHTML = `
        <h3>Hematology Calculator</h3>
        <p>Calculate blood cell counts, hemoglobin levels, and more.</p>
        <form>
          <label for="wbc">White Blood Cell Count:</label>
          <input type="number" id="wbc" name="wbc">
          <button type="submit">Calculate</button>
        </form>
      `;
      break;
    case 'microbiology':
      calculatorContent.innerHTML = `
        <h3>Microbiology Calculator</h3>
        <p>Calculate microbial growth rates, colony counts, and more.</p>
        <form>
          <label for="colonies">Colony Count:</label>
          <input type="number" id="colonies" name="colonies">
          <button type="submit">Calculate</button>
        </form>
      `;
      break;
    case 'chemical-pathology':
      calculatorContent.innerHTML = `
        <h3>Chemical Pathology Calculator</h3>
        <p>Calculate enzyme levels, metabolic panel results, and more.</p>
        <form>
          <label for="enzyme">Enzyme Level:</label>
          <input type="number" id="enzyme" name="enzyme">
          <button type="submit">Calculate</button>
        </form>
      `;
      break;
    default:
      calculatorContent.innerHTML = `<p>No calculator available for this category.</p>`;
  }
}